OAuthProvider::calltokenHandler
OAuthProvider::__construct
OAuthProvider
PHP Manual

# OAuthProvider::checkOAuthRequest

(PECL OAuth >= 1.0.0)

OAuthProvider::checkOAuthRequest — Check an oauth request

### Description

public void OAuthProvider::checkOAuthRequest ([ string `$uri` [, string `$method` ]] )

Checks an OAuth request.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`uri`

  The optional URI, or endpoint.

`method`

  The HTTP method. Optionally pass in one of the `OAUTH_HTTP_METHOD_*` OAuth constants.

### Return Values

No value is returned.

### Errors/Exceptions

Emits an `E_ERROR` level error if the HTTP method cannot be detected.

### See Also

- OAuthProvider::reportProblem - Report a problem

OAuthProvider::calltokenHandler
OAuthProvider::__construct
OAuthProvider
PHP Manual